#include<iostream>

using namespace std;

int main()
{
    long long n;
    int a,i,r=0;
    cin>>n;
    while(n>0)
    {
        a=n%10;
        while(a>0)
        {
            if(a>=5)
            {
                a=a-5;
                r=r+1;
            }
            else 
            {
                if(a>=2)
            {
                a=a-2;
                r=r+1;
            }
            else{
                a=a-1;
                r=r+1;
            }
            } 
        }
        n=n/10;
    }
    cout<<r;
}